<?php

namespace Myriad\EventDrivenService\Rules;

use Illuminate\Contracts\Validation\Rule;
use Ramsey\Uuid\Uuid;

class UuidRule implements Rule {

  public function passes($attribute, $value) {
    return Uuid::isValid($value);
  }

  public function message() {
    return ':attribute must a valid uuid';
  }
}
