<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEventHadAccessTable extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::create('event_had_access', function (Blueprint $table) {
      $table->uuid('model_uuid');
      $table->uuid('user_uuid');
      $table->string('model');
      $table->timestamp('last_requested_at');
      $table->timestamp('lost_at')->nullable();
    });
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::dropIfExists('event_had_access');
  }
}